Fix proxy usage for docker external
The process that retrieves Docker images hosted externally was
missing a step in its configuration. This change fix the
configuration and unblock the pending Unit Tests.
Change-Id: I5a6b39086eb806bab5bb2667092a154e230d33ef
Signed-off-by: Victor Morales <victor.morales@intel.com>
Issue-ID: INT-227
diff --git a/bootstrap/vagrant-onap/tests/_test_base b/bootstrap/vagrant-onap/tests/_test_base
index 155de98..7d0415a 100644
--- a/bootstrap/vagrant-onap/tests/_test_base
+++ b/bootstrap/vagrant-onap/tests/_test_base
@@ -15,6 +15,9 @@
echo "ok $((i+1)) - test_${covered_functions[$i]}"
# Teardown process
+ if ! is_package_installed docker-ce; then
+ docker images -q | xargs docker rmi -f
+ fi
dpkg --get-selections > installed-software_new
sort -o installed-software_new installed-software_new
apt-get purge -y -qq $(comm -3 installed-software installed-software_new | awk '{print $1}')